For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
      • GETGet detailed attribution metrics for a single Brevo campaign or workflow
      • GETGet attributed product sales for a single Brevo campaign or workflow
      • GETGet attribution metrics for one or more Brevo campaigns or workflows
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
EcommerceRevenue Attribution

Get attributed product sales for a single Brevo campaign or workflow

GET
https://api.brevo.com/v3/ecommerce/attribution/products/:conversionSource/:conversionSourceId
GET
/v3/ecommerce/attribution/products/:conversionSource/:conversionSourceId
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.ecommerce.getAttributedProductSalesForASingleBrevoCampaignOrWorkflow("email_campaign", "sale");
8}
9main();
1{
2 "products": [
3 {
4 "id": "1",
5 "imageUrl": "http://mydomain.com/product-absoulte-url/img.jpeg",
6 "name": "Milky Way Galaxy",
7 "ordersCount": 200,
8 "price": 1000,
9 "revenue": 999.99,
10 "sku": "sku-1",
11 "url": "https://mydomain.com/products/alpina-panoma-classic"
12 }
13 ]
14}
Retrieve the list of products whose sales have been attributed to a specific Brevo campaign or automation workflow. Each product entry includes its ID, name, SKU, image URL, product URL, price, revenue, and orders count. The conversion source type must be one of `email_campaign`, `sms_campaign`, `automation_workflow_email`, or `automation_workflow_sms`.
Was this page helpful?
Previous

Get attribution metrics for one or more Brevo campaigns or workflows

Next
Built with

Retrieve the list of products whose sales have been attributed to a specific Brevo campaign or automation workflow. Each product entry includes its ID, name, SKU, image URL, product URL, price, revenue, and orders count. The conversion source type must be one of email_campaign, sms_campaign, automation_workflow_email, or automation_workflow_sms.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

conversionSourceenumRequired
The Brevo campaign or automation workflow type for which data will be retrieved
Allowed values:
conversionSourceIdstringRequired
The Brevo campaign or automation workflow id for which data will be retrieved

Response

OK
productslist of objects
List of attributed products

Errors

400
Bad Request Error